<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
        crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="{{ url_for('static', filename='main.css') }}" >
    {% if title %}
    <title>PG HUNT- {{ title }}</title>
    {% else %}
    <title>PG HUNT</title>
    {% endif %}
</head>

<body>
    <header class="site-header">
        <nav class="navbar navbar-expand-md navbar-dark bg-steel fixed-top">
            <div class="container">
                <a class="navbar-brand mr-4" href="/">PG HUNT</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarToggle"
                    aria-controls="navbarToggle" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarToggle">
                    <div class="navbar-nav mr-auto">
                        <a class="nav-item nav-link" href="{{ url_for('home') }}">Home</a>
                        <a class="nav-item nav-link" href="{{ url_for('about') }}">About</a>
                        {% if current_user.is_authenticated %}
                            {% if current_user.account_type == 'owner' %}
                            <a class="nav-item nav-link" href="{{ url_for('post_lists') }}">My Posts</a>
                            <a class="nav-item nav-link" href="{{ url_for('download_pg_lists', user_id = current_user.id) }}">Download PG Lists</a>
                            {% endif %}
                        {% endif %}
                    </div>
                    <!-- Navbar Right Side -->
                    <form class="form-inline my-2 my-lg-0" method="GET" action="{{ url_for('search') }}">
                            <input class="form-control mr-sm-2 " name="q" type="search" placeholder="Search" aria-label="Search">
                            <button class="btn btn-outline-success my-2 my-sm-0 " type="submit">Search</button>
                    </form>
                    <div class="navbar-nav">
                        {% if current_user.is_authenticated %}
                            {% if current_user.account_type == 'owner' %}
                                <a class="nav-item nav-link" href="{{ url_for('new_post') }}">New Post</a>
                                <a class="nav-item nav-link" href="#">Account</a>
                                <a class="nav-item nav-link" href="{{ url_for('logout') }}">Logout</a>
                            {% else %}
                                <a class="nav-item nav-link" href="#">Account</a>
                                <a class="nav-item nav-link" href="{{ url_for('logout') }}">Logout</a>
                            {% endif %}
                        {% else %}
                            <a class="nav-item nav-link" href="{{ url_for('login') }}">Login</a>
                            <a class="nav-item nav-link" href="{{ url_for('register') }}">Register</a>
                        {% endif %}
                    </div>
                </div>
            </div>
        </nav>
    </header>
    <main role="main" class="container">
        <div class="row">
            <div class="col-md-12">
                {% with messages = get_flashed_messages(with_categories=true) %}
                    {% if messages %}
                        {% for category, message in messages %}
                        <div class="alert alert-{{ category }}">
                            {{ message }}
                        </div>
                        {% endfor %}
                    {% endif %}
                {% endwith %}
                {% block content %}{% endblock %}
            </div>
            <!-- <div class="col-md-4">
                <div class="content-section">
                    <h3>Our Sidebar</h3>
                    <p class='text-muted'>You can put any information here you'd like.
                        <ul class="list-group">
                            <li class="list-group-item list-group-item-light">Latest Posts</li>
                            <li class="list-group-item list-group-item-light">Announcements</li>
                            <li class="list-group-item list-group-item-light">Calendars</li>
                            <li class="list-group-item list-group-item-light">etc</li>
                        </ul>
                    </p>
                </div>
            </div> -->
        </div>
    </main>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy"
        crossorigin="anonymous"></script>
    {% block script %}{% endblock %}

</body>

</html>
